## org.apache.jasper.compiler
Class JspProperty

    java.lang.Object
      org.apache.jasper.compiler.JspProperty

    public class JspProperty

extends Object

Constructor Summary
`JspProperty(String isXml, String elIgnored, String scriptingInvalid, String trimSpaces, String poundAllowed, String pageEncoding, Vector includePrelude, Vector includeCoda)`

Method Summary
`Vector` `getIncludeCoda()`
`Vector` `getIncludePrelude()`
`String` `getPageEncoding()`
`String` `getPoundAllowed()`
`String` `getTrimSpaces()`
`String` `isELIgnored()`
`String` `isScriptingInvalid()`
`String` `isXml()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspProperty

    public JspProperty(String isXml,
                       String elIgnored,
                       String scriptingInvalid,
                       String trimSpaces,
                       String poundAllowed,
                       String pageEncoding,
                       Vector includePrelude,
                       Vector includeCoda)

Method Detail

### isXml

    public String isXml()

### isELIgnored

    public String isELIgnored()

### isScriptingInvalid

    public String isScriptingInvalid()

### getPageEncoding

    public String getPageEncoding()

### getTrimSpaces

    public String getTrimSpaces()

### getPoundAllowed

    public String getPoundAllowed()

### getIncludePrelude

    public Vector getIncludePrelude()

### getIncludeCoda

    public Vector getIncludeCoda()

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.